libwpd::WPDocument Class Reference documentation

Static Public Member Functions | List of all members
libwpd::WPDocument Class Reference

This class provides all the functions an application would need to parse WordPerfect documents. More...

`#include <WPDocument.h>`

## Static Public Member Functions
static WPDAPI WPDConfidence | isFileFormatSupported (librevenge::RVNGInputStream *input)
| Analyzes the content of an input stream to see if it can be parsed More...
static WPDAPI WPDPasswordMatch | verifyPassword (librevenge::RVNGInputStream *input, const char *password)
| Checks whether the given password was used to encrypt the document More...
static WPDAPI WPDResult | parse (librevenge::RVNGInputStream *input, librevenge::RVNGTextInterface *documentInterface, const char *password)
| Parses the input stream content. More...
static WPDAPI WPDResult | parseSubDocument (librevenge::RVNGInputStream *input, librevenge::RVNGTextInterface *documentInterface, WPDFileFormat fileFormat)

## Detailed Description

This class provides all the functions an application would need to parse WordPerfect documents.

## Member Function Documentation

## ◆ isFileFormatSupported()

WPDAPI WPDConfidence WPDocument::isFileFormatSupported | ( | librevenge::RVNGInputStream * | input | ) |
| static

Analyzes the content of an input stream to see if it can be parsed

Parameters

  input | The input stream

Returns
  A confidence value which represents the likelyhood that the content from the input stream can be parsed

## ◆ parse()

WPDAPI WPDResult WPDocument::parse | ( | librevenge::RVNGInputStream * | input,
|  | librevenge::RVNGTextInterface * | textInterface,
|  | const char * | password
| ) |  |
| static

Parses the input stream content.

It will make callbacks to the functions provided by a librevenge::RVNGTextInterface class implementation when needed. This is often commonly called the 'main parsing routine'.

Parameters

  input | The input stream
  textInterface | A librevenge::RVNGTextInterface implementation
  password | The password used to protect the document or NULL if the document is not protected

Returns
  A value that indicates whether the conversion was successful and in case it was not, it indicates the reason of the error

## ◆ parseSubDocument()

WPDAPI WPDResult WPDocument::parseSubDocument | ( | librevenge::RVNGInputStream * | input,
|  | librevenge::RVNGTextInterface * | documentInterface,
|  | WPDFileFormat | fileFormat
| ) |  |
| static

## ◆ verifyPassword()

WPDAPI WPDPasswordMatch WPDocument::verifyPassword | ( | librevenge::RVNGInputStream * | input,
|  | const char * | password
| ) |  |
| static

Checks whether the given password was used to encrypt the document

Parameters

  input | The input stream
  password | The password used to protect the document or NULL if the document is not protected

Returns
  A value which indicates between the given password and the password that was used to protect the document

Referenced by parse().

The documentation for this class was generated from the following files:

- WPDocument.h
- WPDocument.cpp